<?php

/**
 * Register all actions and filters for the plugin in the admin area.
 *
 * @author Projects Engine <contact@projectsengine.com>
 */
class BBPEAdmin {
    /**
     * @var string $plugin_domain
     */
    private $plugin_domain;

    /**
     * @var string $plugin_version
     */
    private $plugin_version;

    /**
     * Constructor for the cluss.
     *
     * @param $plugin_domain
     * @param $plugin_version
     */
    public function __construct( $plugin_domain, $plugin_version ) {
        $this->plugin_domain = $plugin_domain;
        $this->plugin_version = $plugin_version;
    }

    /**
     * Load text domain.
     *
     * @return void
     */
    public function bbpe_load_text_domain() {
        load_plugin_textdomain( $this->plugin_domain, false, basename( __DIR__ ) . '/languages' );
    }

    /**
     * Add custom image size.
     *
     * @return void
     */
    public function bbpe_add_image_size() {
        add_image_size( 'bbpe-featured-image', 250, 250, array( 'center', 'center' ) );
    }

    /**
     * Assign it to the array.
     *
     * @param $sizes
     * @return array
     */
    public function bbpe_custom_sizes( $sizes ) {
        return array_merge( $sizes, array(
            'bbpe-featured-image' => __('BBPE Featured Image'),
        ) );
    }
}