<?php

class BBPEGutenberg {
    /**
     * @var string $plugin_domain
     */
    private $plugin_domain;

    /**
     * @var string $plugin_version
     */
    private $plugin_version;

    /**
     * @var string $plugin_name
     */
    private $plugin_name;

    /**
     * @param $plugin_domain
     * @param $plugin_version
     * @param $plugin_name
     */
    public function __construct( $plugin_domain, $plugin_version, $plugin_name ) {
        $this->plugin_domain = $plugin_domain;
        $this->plugin_version = $plugin_version;
        $this->plugin_name = $plugin_name;
    }

    /**
     * Register the category for our blocks.
     *
     * @param $categories
     * @param $post
     * @return array|mixed
     */
    public function bbpe_block_categories( $categories, $post ) {
        if ( $post->post_type !== 'post' ) {
            return $categories;
        }

        return array_merge(
            $categories,
            array(
                array(
                    'slug' => $this->plugin_domain,
                    'title' => __( $this->plugin_name, $this->plugin_domain ),
                ),
            )
        );
    }

    public function bbpe_enqueue_gutenberg_scripts() {
        // Register the block scripts.
        wp_enqueue_script(
            $this->plugin_domain . '-gutenberg',
            plugin_dir_url( __FILE__ ) . '../main/blocks.js',
            array( 'wp-edit-post', 'wp-element', 'wp-components', 'wp-plugins', 'wp-data' ),
            $this->plugin_version,
            false
        );

        // Register the block editor stylesheet.
        // If you want to add additional functionality in the editor
        // you can do it here.
        wp_enqueue_style(
            $this->plugin_domain. '-editor-styles', // label
            plugin_dir_url( __FILE__ ) . '../assets/editor.min.css',	// CSS file
            array()
        );

        // Register the front-end stylesheet.
        // The style is for both front-end and back-end.
        wp_enqueue_style(
            $this->plugin_domain . '-block-styles',
            plugin_dir_url( __FILE__ ) . '../assets/style.min.css',
            array()
        );
    }

    public function bbpe_register_blocks() {

    }
}