/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/meta-fields.js":
/*!****************************!*\
  !*** ./src/meta-fields.js ***!
  \****************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
var __ = wp.i18n.__;
var compose = wp.compose.compose;
var _wp$data = wp.data,
    withSelect = _wp$data.withSelect,
    withDispatch = _wp$data.withDispatch;
var PluginDocumentSettingPanel = wp.editPost.PluginDocumentSettingPanel;
var _wp$components = wp.components,
    ToggleControl = _wp$components.ToggleControl,
    TextControl = _wp$components.TextControl,
    PanelRow = _wp$components.PanelRow;

var MetaFieldsInSidebar = function MetaFieldsInSidebar(_ref) {
  var postType = _ref.postType,
      postMeta = _ref.postMeta,
      setPostMeta = _ref.setPostMeta;
  if ('post' !== postType) return null; // Will only render component for post type 'post'

  return /*#__PURE__*/React.createElement(PluginDocumentSettingPanel, {
    title: __('Featured', 'luckies'),
    icon: " ",
    initialOpen: "false"
  }, /*#__PURE__*/React.createElement(PanelRow, null, /*#__PURE__*/React.createElement(ToggleControl, {
    label: __('Make this post featured', 'luckies'),
    onChange: function onChange(value) {
      return setPostMeta({
        _featured: value
      });
    },
    checked: postMeta._featured
  })), /*#__PURE__*/React.createElement(PanelRow, null, /*#__PURE__*/React.createElement(TextControl, {
    label: __('Write some notes', 'luckies'),
    value: postMeta._notes,
    onChange: function onChange(value) {
      return setPostMeta({
        _notes: value
      });
    }
  })));
};

/* harmony default export */ __webpack_exports__["default"] = (compose([withSelect(function (select) {
  return {
    postMeta: select('core/editor').getEditedPostAttribute('meta'),
    postType: select('core/editor').getCurrentPostType()
  };
}), withDispatch(function (dispatch) {
  return {
    setPostMeta: function setPostMeta(newMeta) {
      dispatch('core/editor').editPost({
        meta: newMeta
      });
    }
  };
})])(MetaFieldsInSidebar));

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _meta_fields__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./meta-fields */ "./src/meta-fields.js");
var __ = wp.i18n.__;
var registerPlugin = wp.plugins.registerPlugin;
var registerBlockType = wp.blocks.registerBlockType;
var _wp$blockEditor = wp.blockEditor,
    RichText = _wp$blockEditor.RichText,
    InspectorControls = _wp$blockEditor.InspectorControls;
var _wp$components = wp.components,
    ToggleControl = _wp$components.ToggleControl,
    PanelBody = _wp$components.PanelBody,
    PanelRow = _wp$components.PanelRow,
    Panel = _wp$components.Panel,
    CheckboxControl = _wp$components.CheckboxControl,
    SelectControl = _wp$components.SelectControl,
    ColorPicker = _wp$components.ColorPicker;

registerPlugin('featured-post-plugin', {
  render: function render() {
    return /*#__PURE__*/React.createElement(_meta_fields__WEBPACK_IMPORTED_MODULE_0__["default"], null);
  }
});
registerBlockType('blocks-by-projects-engine/heading', {
  title: 'Heading - Highlighted',
  category: 'blocks-by-projects-engine',
  icon: 'heading',
  description: 'Highlighted heading with description.',
  keywords: ['heading', 'highlighted'],
  attributes: {
    title: {
      type: 'string'
    },
    content: {
      type: 'string',
      source: 'html',
      selector: 'p'
    },
    heading: {
      type: 'string',
      "default": 'h2'
    },
    color: {
      type: 'string',
      "default": '#f9f9f9'
    }
  },
  edit: function edit(props) {
    var attributes = props.attributes,
        setAttributes = props.setAttributes;
    var style = {
      background: attributes.color
    };
    return /*#__PURE__*/React.createElement("div", {
      className: "block-heading-highlighted",
      style: style
    }, /*#__PURE__*/React.createElement(InspectorControls, null, /*#__PURE__*/React.createElement(PanelBody, {
      title: "Heading",
      initialOpen: true
    }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(SelectControl, {
      label: "",
      value: attributes.heading,
      options: [{
        label: "H1",
        value: 'h1'
      }, {
        label: "H2",
        value: 'h2'
      }, {
        label: "H3",
        value: 'h3'
      }],
      onChange: function onChange(newVal) {
        return setAttributes({
          heading: newVal
        });
      }
    }))), /*#__PURE__*/React.createElement(PanelBody, {
      title: "Background color",
      initialOpen: true
    }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(ColorPicker, {
      color: attributes.color,
      onChangeComplete: function onChangeComplete(newVal) {
        return setAttributes({
          color: newVal.hex
        });
      },
      disableAlpha: true
    })))), /*#__PURE__*/React.createElement(RichText, {
      tagName: attributes.heading,
      placeholder: "Write your heading here",
      value: attributes.title,
      onChange: function onChange(newText) {
        return setAttributes({
          title: newText
        });
      }
    }), /*#__PURE__*/React.createElement(RichText, {
      tagName: "p",
      placeholder: "Write your paragraph here",
      value: attributes.content,
      onChange: function onChange(newText) {
        return setAttributes({
          content: newText
        });
      }
    }));
  },
  save: function save(props) {
    var attributes = props.attributes;
    var style = {
      background: attributes.color
    };
    return /*#__PURE__*/React.createElement("div", {
      className: "block-heading-highlighted",
      style: style
    }, /*#__PURE__*/React.createElement(RichText.Content, {
      tagName: attributes.heading,
      value: attributes.title
    }), /*#__PURE__*/React.createElement(RichText.Content, {
      tagName: "p",
      value: attributes.content
    }));
  }
});
registerBlockType('blocks-by-projects-engine/table-of-contents', {
  title: 'Table of Contents',
  category: 'blocks-by-projects-engine',
  icon: 'editor-ul',
  description: 'Table of contents.',
  keywords: ['table', 'contents'],
  attributes: {
    title: {
      type: 'string',
      "default": 'Table of Contents'
    },
    content: {
      type: 'array',
      source: 'children',
      selector: 'ul'
    },
    heading: {
      type: 'string',
      "default": 'h2'
    },
    color: {
      type: 'string',
      "default": '#f9f9f9'
    }
  },
  edit: function edit(props) {
    var attributes = props.attributes,
        setAttributes = props.setAttributes;
    var style = {
      background: attributes.color
    };
    return /*#__PURE__*/React.createElement("div", {
      className: "block-table-of-content",
      style: style
    }, /*#__PURE__*/React.createElement(InspectorControls, null, /*#__PURE__*/React.createElement(PanelBody, {
      title: "Heading",
      initialOpen: true
    }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(SelectControl, {
      label: "",
      value: attributes.heading,
      options: [{
        label: "H1",
        value: 'h1'
      }, {
        label: "H2",
        value: 'h2'
      }, {
        label: "H3",
        value: 'h3'
      }],
      onChange: function onChange(newVal) {
        return setAttributes({
          heading: newVal
        });
      }
    }))), /*#__PURE__*/React.createElement(PanelBody, {
      title: "Background color",
      initialOpen: true
    }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(ColorPicker, {
      color: attributes.color,
      onChangeComplete: function onChangeComplete(newVal) {
        return setAttributes({
          color: newVal.hex
        });
      },
      disableAlpha: true
    })))), /*#__PURE__*/React.createElement(RichText, {
      tagName: attributes.heading,
      placeholder: "Write your heading here",
      value: attributes.title,
      onChange: function onChange(newText) {
        return setAttributes({
          title: newText
        });
      }
    }), /*#__PURE__*/React.createElement(RichText, {
      tagName: "ul",
      multiline: "li",
      placeholder: "Write your item here",
      value: attributes.content,
      onChange: function onChange(newText) {
        return setAttributes({
          content: newText
        });
      }
    }));
  },
  save: function save(props) {
    var attributes = props.attributes,
        className = props.className;
    var style = {
      background: attributes.color
    };
    return /*#__PURE__*/React.createElement("div", {
      className: "block-table-of-content",
      style: style
    }, /*#__PURE__*/React.createElement(RichText.Content, {
      tagName: attributes.heading,
      value: attributes.title
    }), /*#__PURE__*/React.createElement(RichText.Content, {
      tagName: "ul",
      value: attributes.content
    }));
  }
});
}();
/******/ })()
;
//# sourceMappingURL=blocks.js.map